UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
umestore_repo_dmon_config_msg_t_stct Struct Reference

Message containing repository configuration defined during source registration.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_REPO_CONFIG )
Zero or more of these will be published for a given Store, one for each source which registers with the Store. Many of the fields are not necessarily set to the value configured on the Store, but instead can be overridden by the source. See each option's documentation for details. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC. More...

`#include <umedmonmsgs.h>`

## Data Fields
umestore_dmon_msg_hdr_t | hdr
| Standard header common to all messages.
lbm_uint64_t | sid
| Session ID used by the source to register. (Session IDs are optional; if the source did not specify a Session ID, this will be zero.)
lbm_uint64_t | disk_sz_limit
| Value configured for the Store's option repository-disk-file-size-limit.
lbm_uint64_t | src_flightsz_bytes
| Value configured for the Store's option source-flight-size-bytes-maximum.
lbm_uint32_t | dmon_topic_idx
| Identifying index number for the topic of this source, defined in an earlier message of type LBM_UMESTORE_DMON_MPG_STORE_TOPIC_CONFIG. See umestore_topic_dmon_config_msg_t_stct::dmon_topic_idx.
lbm_uint32_t | regid
| Registration ID used by the source to register.
lbm_uint32_t | sz_threshold
| Value configured for the Store's option repository-size-threshold.
lbm_uint32_t | sz_limit
| Value configured for the Store's option repository-size-limit.
lbm_uint32_t | age_threshold
| Value configured for the Store's option repository-age-threshold.
lbm_uint32_t | disk_max_write_aiocbs
| Value configured for the Store's option repository-disk-max-write-async-cbs.
lbm_uint32_t | disk_max_read_aiocbs
| Value configured for the Store's option repository-disk-max-read-async-cbs.
lbm_uint32_t | disk_aio_buffer_len
| Value configured for the Store's option repository-disk-async-buffer-length.
lbm_uint32_t | write_delay
| Value configured for the Store's option repository-disk-write-delay.
lbm_uint16_t | store_idx
| Current Store number, starting with 0, counting each <store> element in the order configured.
lbm_uint8_t | type
| Value configured for the Store's option repository-type. Possible values: UMESTORE_DMON_REPO_TYPE_NOCACHE UMESTORE_DMON_REPO_TYPE_MEMORY UMESTORE_DMON_REPO_TYPE_DISK.
lbm_uint8_t | allow_ack_on_reception
| Value configured for the Store's option repository-allow-ack-on-reception. Possible values: UMESTORE_DMON_REPO_DO_NOT_ACK_ON_RECEPTION, UMESTORE_DMON_REPO_ACK_ON_RECEPTION.

## Detailed Description

Message containing repository configuration defined during source registration.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_REPO_CONFIG )
Zero or more of these will be published for a given Store, one for each source which registers with the Store. Many of the fields are not necessarily set to the value configured on the Store, but instead can be overridden by the source. See each option's documentation for details. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- umedmonmsgs.h